Bug 861401 - [xorg-x11-drv-mga] module fails to load because of undefined symbol: MGAStormSync
[xorg-x11-drv-mga] module fails to load because of undefined symbol: MGAStorm...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 09:26 EDT by Joachim Frieben
Modified: 2014-02-05 17:48 EST (History)
5 users (show)

See Also:
Fixed In Version: xorg-x11-drv-mga-1.6.2-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:48:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log for Matrox Millennium II w/8MB of video memory (5.24 KB, text/plain)
2012-09-28 09:29 EDT, Joachim Frieben
no flags Details
Xorg.0.log (17.72 KB, text/x-log)
2013-04-21 16:12 EDT, Tommi R.
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1044797 None None None 2012-09-28 09:32:22 EDT

  None (edit)
Description Joachim Frieben 2012-09-28 09:26:59 EDT
Description of problem:
For current Fedora 18 including updates-testing, driver "mga" is broken because of an undefined symbol called MGAStormSync. Xorg refuses to load mga_drv.so for this reason.

Version-Release number of selected component (if applicable):
xorg-x11-drv-mga-1.6.1-2.fc18.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Launch X.
  
Actual results:
X fails to start up.

Expected results:
X starts up correctly.

Additional info:
Setting driver to "vesa" allows to recover a working albeit unstable desktop (crashes depending on the colour depth).
Comment 1 Joachim Frieben 2012-09-28 09:29:35 EDT
Created attachment 618574 [details]
Xorg.0.log for Matrox Millennium II w/8MB of video memory
Comment 2 Gilboa Davara 2013-01-28 07:17:50 EST
I'm see this on a number of MGA based Intel servers with different mga configurations.
Any chances of carrying over Ubuntu fix?

P.S. Why is bug marked as closed when the issue is still open?

- Gilboa
Comment 3 Pavel Alexeev 2013-02-18 01:54:22 EST
I also have this bug on fully updated Fedora 18. Please add patch from Ubuntu.
Comment 4 Gilboa Davara 2013-04-16 02:13:51 EDT
Any chance that it will be fixed by xorg-x11-drv-mga-1.6.2-6.fc18?

FWIW I managed to reproduce it on 7 different Intel manufactured servers (ranging from Core2 to dual Xeon 26xx).

- Gilboa
Comment 5 Tommi R. 2013-04-21 16:08:42 EDT
Unfortunately xorg-x11-drv-mga-1.6.2-6.fc18 does not work at all with my old matrox card. I will attach Xorg.0.log
Comment 6 Tommi R. 2013-04-21 16:12:35 EDT
Created attachment 738339 [details]
Xorg.0.log

Xorg log with card VGA compatible controller: Matrox Electronics Systems Ltd. Millennium G550 (rev 01) (prog-if 00 [VGA controller])
Comment 7 Fedora End Of Life 2013-12-21 10:07:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2014-02-05 17:48:44 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.